<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { inject } from 'vue';
import { storeToRefs } from 'pinia';
import { usePreviewStore } from '@/stores/preview';
import Embedded from '@/components/general/Embedded.vue';
import TextView from '@/components/general/TextView.vue';
import LikeButton from '@/components/general/LikeButton.vue';

const props = defineProps<{
    comment: any
}>();

const configuration = inject<any>('configuration');
const store = usePreviewStore();
const { commentsAllowed, likesAllowed, style, isExport } = storeToRefs(store);

</script>
<template>
    <div class="max-w-full relative box-border transition duration-100 ease-in-out bg-white text-gray-500 shadow-md"
        :class="[comment.shape]" :id="comment.id" :style="[{ background: comment.color }]"
        v-if="commentsAllowed">
        <div class="flex flex-col items-stretch">
            <div class="w-full h-5 flex flex-row-reverse gap-2 z-10" :class="[{'bg-white/80': comment.body}, 'tb-'+ comment.shape]"></div>
            <div class="w-full">
                <div v-if="!comment.body">
                    <TextView :fontSize="style.fontSize" :content="comment.text" :contentLength="0" />
                </div>
                <div class="-mt-5" v-else>
                    <Embedded :body="comment.body" :url="comment.text" :info="comment.info" :fontSize="style.fontSize" :topbarClass="'tb-'+comment.shape" :isExport="isExport" :exportApi="isExport?configuration.exportApi:undefined"/>
                </div>
            </div>
            <div class="w-full h-7">
                <LikeButton :likes="comment.likes ? comment.likes : 0" :likeSymbol="style.likeSymbol" v-if="likesAllowed" />
            </div>
        </div>

        
    </div>
</template>